Subject: bug#18567: strange tee behavior

From: Pádraig Brady <[email-masked]>
Date: Fri, 26 Sep 2014 20:27:37 +0100

unarchive 11540
forecemerge 11540 18567
stop

On 09/26/2014 10:53 AM, Karl Nordström wrote:
> Hi,
> 
> I have a small problem with tee, which could be exemplified by the
> following code:
> 
> wc -l largefile
>> 235324 largefile
> cat largefile |tee -i >(head > /dev/null) |wc -l
>> 390
> 
> tee doesn't forward the whole file but seems to stop when head don't read
> anymore. I thought the -i flag was supposed to block such behavior?
> 
> I did this test with GNU coreutils 8.21 under fedora fc20. If you need more
> info, just let me know.

This issue is already reported at http://bugs.gnu.org/11540
and I intend to deal with it through adding the tee --write-error=... option.
Shouldn't bee too hard.  I'll try and do it this weekend.

thanks,
Pádraig.